---
title: NodeIterator.root
slug: Web/API/NodeIterator/root
tags:
  - API
  - DOM
  - NodeIterator
  - Property
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>NodeIterator.root</strong></code> read-only property represents the {{DOMxref("Node")}} that is the root of what the {{DOMxref("NodeIterator")}} traverses.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>root</em> = <em>nodeIterator</em>.root;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var nodeIterator = document.createNodeIterator(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
root = nodeIterator.root; // document.body in this case
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-nodeiterator-root', 'NodeIterator.root')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>No change from {{SpecName('DOM2 Traversal_Range')}}.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 Traversal_Range', 'traversal.html#Traversal-NodeIterator-root', 'NodeIterator.root')}}</td>
			<td>{{Spec2('DOM2 Traversal_Range')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NodeIterator.root")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The interface it belongs to: {{domxref("NodeIterator")}}.</li>
</ul>
